<?php use_helper('UrlFunctions');
					
if($control){
	
	
	if($IdSucursalFinal){
		$o_BalanceDiaNew = new BalanceDiaBean();
		$o_BalanceDiaNew->setIdSucursal($idsucursal); 

		//COMPROBAR QUE AMBAS SUCURSALES TENGAN EL MISMO DIA ABIERTO
		
		$o_BalanceDiaNewDP 		= new BalanceDiaDP($o_BalanceDiaNew);
		$fechaBalanceAbiertoIni	= $o_BalanceDiaNewDP->ObtenerDiaAbierto();
	
		
		$o_BalanceDiaNew = new BalanceDiaBean();
		$o_BalanceDiaNew->setIdSucursal($IdSucursalFinal); 

		
		$o_BalanceDiaNewDP 		= new BalanceDiaDP($o_BalanceDiaNew);
		$fechaBalanceAbiertoFin	= $o_BalanceDiaNewDP->ObtenerDiaAbierto();
		
		if($fechaBalanceAbiertoFin != $fechaBalanceAbiertoIni) exit("Las sucursales deben estar con el mismo dia abierto.(".$fechaBalanceAbiertoFin." != ".$fechaBalanceAbiertoIni.")");
		
		//COMPROBAR QUE AMBOS MERCADOS NO TENGAN 
		
		
		
		
		// Consultar  el padre de la Sucursal Destino
		$o_sucursalBean = new SucursalBean();
		$o_sucursalBean->setIdSucursal($IdSucursalFinal);
		$o_sucursalDP = new SucursalDP($o_sucursalBean);
		$a_o_sucursalDPFinal = $o_sucursalDP->select();
		
		if(is_array($a_o_sucursalDPFinal)){
		  	while(list($keyS,$o_sucursalDP) = each($a_o_sucursalDPFinal)){
  				//$idsucursal = $o_sucursalDP->getIdSucursal();
  				$IdAdministrador = $o_sucursalDP->getIdAdministrador();
		  	}
	 	}
		
		
		if($IdAdministrador){
			
			//CAMBIAR EL PADRE AL COLABORADOR Y SETEO PARA ASISTENCIA
			$o_ColaboradorBean = new ColaboradorBean();
			$o_ColaboradorBean->setIdColaborador($IdRepresentante);
			$o_ColaboradorBean->setIdPadre($IdAdministrador);
			$o_ColaboradorBean->setFlagEstadoAsistencia("X");
			$o_ColaboradorDP = new ColaboradorDP($o_ColaboradorBean);
			$o_ColaboradorDP->update();	
			
			//CAMBIAR LA SUCURSAL AL MERCADO 
			$o_SucursalMercadoBean = new SucursalMercadoBean();
			$o_SucursalMercadoBean->setIdSucursalFin($IdSucursalFinal);
			$o_SucursalMercadoBean->setIdSucursal($idsucursal);
			$o_SucursalMercadoBean->setIdMercado($idmercado);
			$o_SucursalMercadoBean->getFechaAsignacion(date("Y-m-d"));
			
			$o_SucursalMercadoDP = new SucursalMercadoDP($o_SucursalMercadoBean);
			$o_SucursalMercadoDP->updateCS();
			
			//OTROS CAMBIOS DEL HISTORIALES
			$o_ColaboradorDP->updateCS($IdSucursalFinal);	
			
			
			$ok=1;
			
		}
		
	
		if($ok){
		    ?>
		    <script language="JavaScript">
			//parent.buscarahora();
		    parent.objMainTab.reqBody('<?=buildUrl('mer/list')?>','&block=001&changeSucursal=1&id=<?=$id?>');
		    parent.objMainTab.windowsCloseAll();
		    </script>
		    <?
		  }
	}else{
		exit("Debe de seleccionar una sucursala final");
	}
}


?>
<script>


function AsignarRepresentantes(destino,elm){
	//$(destino).options.length = 1;
	var url = '<?=buildUrl('ajax/request')?>';
	var pars = 'type=getRepresentantes&nombreElm='+destino+'&value='+elm.value;
	
	var myAjax = new Ajax.Request(
	                        		url, 
	                        		{
	                        			method: 'get', 
	                        			parameters: pars, 
	                        			onComplete: actualizaJSON
	                        		});
}

concatValueStr = function(){
  strFormSerialize = returnQueryStringForm();
  if(arguments[0]){
    strFormSerialize += '&'+arguments[0];
  }
  executeFind(strFormSerialize);
}

LoadRepresentantes = function(destino,elm){
  $(destino).options.length = 1;
  var url = '<?=buildUrlComplet('mnt.php/ajax/request')?>';
  var pars = 'type=getRepresentanteUser&nombreElm='+destino+'&value='+elm.value;
  
	var myAjax = new Ajax.Request(
            		url, 
            		{
            			method: 'get', 
            			parameters: pars, 
            			onComplete: actualizaJSON
            		});
}

function returnQueryStringForm(){
  cadenaFormulario = $('form1').serialize();
             var posicion = new Array();
             var a_pars = new Array();
             var miArray = new Array();
             posicion=[];
             a_pars=[];
             miArray=[];
             miArray = cadenaFormulario.split('&');
             x=0;
             for (i = 0; i < miArray.length; i++){
            	   posicion[i] = miArray[i].indexOf('=');
            	   if(typeof(miArray[i-1])!='undefined'){
            				if(miArray[i].substring(posicion[i],0)== miArray[i-1].substring(posicion[i-1],0) ){
           					 porcion = miArray[i].substring((1+posicion[i]));
           					 a_pars[x-1]+='@'+porcion;
           				}else{
          					 a_pars[x]= miArray[i];
         					 x++;
          				}
          		}else{
          			 a_pars[x]= miArray[i];
          			  x++;
          		}
           }
  cadenaFormulario = a_pars.join('&');
  cadenaFormulario += '&id_form=frmFindFedu';
  return(cadenaFormulario);
}

LoadMercados = function(destino,elm){
  $(destino).options.length = 1;
  var url = '<?=buildUrl('ajax/request')?>';
  var pars = 'type=getMercado&nombreElm='+destino+'&value='+elm.value;
  
	var myAjax = new Ajax.Request(
                            		url, 
                            		{
                            			method: 'get', 
                            			parameters: pars, 
                            			onComplete: actualizaJSON
                            		});
    $('IdRepresentanteFinal').length = 1;
}

actualizaJSON = function(request, json){
  var numeroElementos = json.length;
  for (var i = 0; i < numeroElementos; i++){
    if($(json[i][0])){
  	  switch ($(json[i][0]).tagName){
  	    case 'TD'      : Element.update(json[i][0], json[i][1]); break;
  	    case 'INPUT'   : $(json[i][0]).value=json[i][1]; break;
  	    case 'SELECT'  : 
  	      var objDDL = $(json[i][0]);
  	      if(typeof(cont) == 'undefined'){
  	        var cont = 0;
  	        objDDL.options.length = 1;
  	      }
  	      var a_contentValues = json[i][1].split("_;_");
      		var value	= a_contentValues[0];
      		var text	= a_contentValues[1];
  	      var option	= new Option(text,value);
      		try{
      			objDDL.add(option,null);
      		}catch (e){
      			objDDL.add(option,-1);
      		}
  	      cont++;
  	    break;
  	  }
    }else{
      if(json[i][0].indexOf("function") > -1){
        eval("scriptEval = "+json[i][0]);
        scriptEval();
      }
    }
  }
}

</script>
<?php

$o_MercadoBean = new MercadoBean();
$o_MercadoBean->setIdMercado($id);
$o_class = new MercadoBL();
$a_ObjectBean = $o_class->busquedaMercado($o_MercadoBean);


if(is_array($a_ObjectBean)){
  while(list($key,$o_ObjectBean) = each($a_ObjectBean)){
 	$IdMercado = $o_ObjectBean->getIdMercado();
 	$o_sucursalMercadoBean = new SucursalMercadoBean();
 	$o_sucursalMercadoBean->setIdMercado($IdMercado);
 	$o_sucursalMercadoDP = new SucursalMercadoDP($o_sucursalMercadoBean);
 	$a_o_sucursalMercadoDP = $o_sucursalMercadoDP->select();
 	if(is_array($a_o_sucursalMercadoDP)){
	  	while(list($key,$o_ObjectBeanM) = each($a_o_sucursalMercadoDP)){
	  		$idSucursal = $o_ObjectBeanM->getIdsucursal();
	  		$o_sucursalBean = new SucursalBean();
		 	$o_sucursalBean->setIdSucursal($idSucursal);
		 	$o_sucursalDP = new SucursalDP($o_sucursalBean);
		 	$a_o_sucursalDP = $o_sucursalDP->select();
		 	if(is_array($a_o_sucursalDP)){
			  	while(list($keyS,$o_sucursalDP) = each($a_o_sucursalDP)){
	  				$descripcionsucursal = $o_sucursalDP->getDescripcion();
	  				$idsucursal = $o_sucursalDP->getIdSucursal();
			  	}
		 	}else{
		 		exit("Tiene asignada una sucursal eliminada.");
		 	}
		 	//echo $IdMercado."----".$idSucursal;
	  		$o_sucursalMercadoBeanT = new SucursalMercadoBean();
		 	$o_sucursalMercadoBeanT->setIdSucursal($idSucursal);
		 	
		 	$o_sucursalMercadoDPT = new SucursalMercadoDP($o_sucursalMercadoBeanT);
		 	$a_o_sucursalMercadoDPT = $o_sucursalMercadoDPT->select();
		 	
		 	if(is_array($a_o_sucursalMercadoDPT)){
			  	while(list($keyT,$o_ObjectBeanMT) = each($a_o_sucursalMercadoDPT)){
			  		$a_idMercado[] = $o_ObjectBeanMT->getIdMercado();
			  	}
		 	}
		 	
		 	$o_MercadoBeanT = new MercadoBean();
		 	$o_MercadoBeanT->setIdMercado($IdMercado);
		 	
		 	$o_MercadoDPT = new MercadoDP($o_MercadoBeanT);
		 	$a_o_MercadoDPT = $o_MercadoDPT->select();
		 	
		 	if(is_array($a_o_MercadoDPT)){
			  	while(list($keyS,$o_mercadoDP) = each($a_o_MercadoDPT)){
	  				$descripcionmercado = $o_mercadoDP->getDescripcion();
	  				$idmercado = $o_mercadoDP->getIdMercado();
			  	}
		 	}else{
		 		exit("Tiene asignada un mercado eliminada.");
		 	}
		 	
	  	}
  	}
  }
}

//Representantes x Mercado

$o_MercadoRepresentanteBean = new MercadoRepresentanteBean();
$o_MercadoRepresentanteBean->setIdMercado($id);

$o_MercadoRepresentanteDP = new MercadoRepresentanteDP($o_MercadoRepresentanteBean);

$a_o_MercadoRepresentanteDP = $o_MercadoRepresentanteDP->select();

if(is_array($a_o_MercadoRepresentanteDP)){
	while(list($keyT,$o_Representante) = each($a_o_MercadoRepresentanteDP)){
			$idColaborador = $o_Representante->getIdColaborador();
			$o_ColaboradorBean = new ColaboradorBean();
			$o_ColaboradorBean->setIdColaborador($idColaborador);
			$o_ColaboradorDP = new ColaboradorDP($o_ColaboradorBean);
			$a_o_Colaborador =  $o_ColaboradorDP->select();
			$a_Colaborador[] = $a_o_Colaborador[0];
		
	}
}else{
	echo "No permite cambio de sucursal. Se ha eliminado el mercado y debe existir repetido el nombre para otro mercado.";
	exit;
}

//print_r($a_idMercado);
//Mercados
if(is_array($a_idMercado)){
	while(list($keyT,$idMercado) = each($a_idMercado)){
		if($idMercado != $IdMercado){
			$o_MercadoBean = new MercadoBean();
			$o_MercadoBean->setIdMercado($idMercado);
			$o_MercadoDP = new MercadoDP($o_MercadoBean);
			$a_o_Mercado =  $o_MercadoDP->select();
			$a_Mercado[] = $a_o_Mercado[0];
		}
	}
}else{
	echo "No permite cambio de mercado para este cliente. Se ha eliminado el mercado y debe existir repetido el nombre para otro mercado.";
	exit;
}

$o_sucursalBean = new SucursalBean();
$o_sucursalDP = new SucursalDP($o_sucursalBean);
$a_o_sucursalDP = $o_sucursalDP->select();
if(is_array($a_o_sucursalDP)){
	while(list($keyS,$o_sucursalDP) = each($a_o_sucursalDP)){
		//if($o_sucursalDP->getIdSucursal() != $idsucursal){
			$a_Sucursal_d[$o_sucursalDP->getIdSucursal()]['idsucursal'] = $o_sucursalDP->getIdSucursal();
			$a_Sucursal_d[$o_sucursalDP->getIdSucursal()]['descripcion'] = $o_sucursalDP->getDescripcion();
		//}
	}
}else{
	exit("Tiene asignada una sucursal eliminada.");
}


//$o_MercadoDP = new MercadoDP($o_MercadoBean);




//$o_ClienteSystemClass = new ClienteSystemClass(new TipoNegocioBean());
//$a_Mercado = $o_ClienteSystemClass->LoadMercadoXRol();

echo "<pre>";
//print_r($a_Mercado);
echo "</pre>";
reset($a_ObjectBean);
if(is_array($a_ObjectBean)){
  while(list($key,$o_ObjectBean) = each($a_ObjectBean)){
?>
<img src="/images/common/spacer.gif" width="10">
<form method="POST" id="form1" name="form1" >
<input type="hidden" name="idsucursal" value="<?php echo $idsucursal;?>" >
<input type="hidden" name="idmercado" value="<?php echo $id;?>" >
<table class="cuerpo" width="100%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td height="0">
      <table border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td class="titleBody">
            <li>Cambio de Sucursal</li>
            <span class="subtitle"><I>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;:::&nbsp;Ficha de Cambio</I> - Codigo:<?php echo $id?></span></td>
          <td align="right" valign="baseline">&nbsp;</td>
        </tr>
      </table>
    </td>
  </tr>
  <tr>
  		<td>
			<table>
				
				<tr>
					<td width="12%" nowrap="nowrap" class="cabecera"><label class="label req" for="txtSueldo" >Sucursal</label></td>
					<td nowrap="nowrap"><label class="label"><?php echo $descripcionsucursal;?></label>
					
					</td>
				</tr>
				
				<tr>
					<td width="12%" nowrap="nowrap" class="cabecera"><label class="label req" for="txtSueldo" >Mercado</label></td>
					<td nowrap="nowrap">
					<label class="label"><?php echo $o_ObjectBean->getDescripcion();?></label>
					</td>
				</tr>
				<tr>
					<td width="12%" nowrap="nowrap" class="cabecera"><label class="label req" for="txtSueldo" >Representante</label></td>
					<td nowrap="nowrap">
					<select class="combo validate-selection required" name="IdRepresentante" id="IdRepresentante">
						<option value="">Seleccione</option>
						<?php foreach ($a_Colaborador as $iKey => $o_Colaborador){ ?>
								 <option value="<?=$o_Colaborador->getIdColaborador();?>">
							<?=$o_Colaborador->getNombreCompleto();?>
						</option>
						<?php } ?>
						
					</select>
					</td>
				</tr>
			</table>
			<table border="0" cellpadding="0" cellspacing="0" width="100%">
	       		<tr>
		          <td class="titleBody">
		            <span class="subtitle"><I>Mover a:</I></span></td>
		          <td align="right" valign="baseline">&nbsp;</td>
		        </tr>
	        </table>
	        <table>
	        	
				<tr>
					<td width="12%" nowrap="nowrap" class="cabecera"><label class="label req" for="txtSueldo" >Sucursal</label></td>
					<td nowrap="nowrap">
					<select class="combo validate-selection " name="IdSucursalFinal" id="IdSucursalFinal" onchange="LoadMercados('IdMercadoFinal',this)">
						<option value="">Seleccione</option>
						<?php foreach ($a_Sucursal_d as $iKey => $a_Sucursal){ 
								if($idsucursal != $a_Sucursal['idsucursal']){?>
								 <option value="<?=$a_Sucursal['idsucursal']?>">
									<?=$a_Sucursal['descripcion']?>
								</option>
						<?php } 
						}?>
					</select>
					</td>
				</tr>
				
	        </table>
			
			
			
		</td>
	</tr>
</table>
<input type="hidden" name="control" value="1">
<input type="hidden" name="idCliente" value="<?=$id?>">
<br>
<div style="float:left;width:90%;text-align:center">
<input class="button" type="button" value="Cancelar" onclick="parent.objMainTab.windowsCloseAll();"/>
<input type="submit" name="Enviar" value="Guardar" class="button">
</div>
<div style="text-align:right">


</div>
</form>
<script type="text/javascript">
	var valid = new Validation('form1', {immediate : true,useTitles : true});
</script>
<?php } 
}?>